> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Addon Settings Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json put /api/v1/org/clusters/imported/{cluster_id}/addons/{addon_name}/settings
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/clusters/imported/{cluster_id}/addons/{addon_name}/settings:
    put:
      tags:
        - Imported Clusters
      summary: Update Addon Settings Endpoint
      operationId: >-
        update_addon_settings_endpoint_api_v1_org_clusters_imported__cluster_id__addons__addon_name__settings_put
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: path
          name: addon_name
          required: true
          schema:
            title: Addon Name
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAddonSettingsRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UpdateAddonSettingsRequest:
      properties:
        ignore_differences:
          anyOf:
            - items:
                $ref: '#/components/schemas/IgnoreDifference'
              type: array
            - type: 'null'
          title: Ignore Differences
        retry_policy:
          anyOf:
            - $ref: '#/components/schemas/AddonRetryPolicy'
            - type: 'null'
        revision_history_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Revision History Limit
        strict_health_check:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Strict Health Check
        sync_policy:
          anyOf:
            - $ref: '#/components/schemas/AddonSyncPolicy'
            - type: 'null'
        sync_window:
          anyOf:
            - $ref: '#/components/schemas/AddonSyncWindow'
            - type: 'null'
      title: UpdateAddonSettingsRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    IgnoreDifference:
      properties:
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
        jq_path_expressions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Jq Path Expressions
        json_pointers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Json Pointers
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        managed_fields_managers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Managed Fields Managers
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
      title: IgnoreDifference
      type: object
    AddonRetryPolicy:
      properties:
        backoff:
          $ref: '#/components/schemas/AddonRetryBackoff'
          default:
            duration: 5s
            factor: 2
            max_duration: 3m
        limit:
          default: 5
          title: Limit
          type: integer
      title: AddonRetryPolicy
      type: object
    AddonSyncPolicy:
      properties:
        auto_prune:
          default: true
          title: Auto Prune
          type: boolean
        automated:
          default: true
          title: Automated
          type: boolean
        self_heal:
          default: true
          title: Self Heal
          type: boolean
        sync_options:
          default:
            - CreateNamespace=true
            - ServerSideApply=true
          items:
            type: string
          title: Sync Options
          type: array
      title: AddonSyncPolicy
      type: object
    AddonSyncWindow:
      properties:
        duration:
          anyOf:
            - type: string
            - type: 'null'
          title: Duration
        enabled:
          default: false
          title: Enabled
          type: boolean
        schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schedule
        timezone:
          default: UTC
          title: Timezone
          type: string
      title: AddonSyncWindow
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    AddonRetryBackoff:
      properties:
        duration:
          default: 5s
          title: Duration
          type: string
        factor:
          default: 2
          title: Factor
          type: integer
        max_duration:
          default: 3m
          title: Max Duration
          type: string
      title: AddonRetryBackoff
      type: object

````